Subject: Re: bug#29277: Symlink test failure on macOS

From: Alan Third <[email-masked]>
Date: Wed, 15 Nov 2017 00:04:28 +0000

On Sun, Nov 12, 2017 at 10:48:49PM +0000, Alan Third wrote:
> I just noticed a new test failure on macOS. I’m not sure when it
> started as I haven’t run make test in quite a while.

It appears that fileio-tests.el was added recently, so this is
probably a long‐standing issue.

83f0d60e498c9cab59e098af6d9c403631ad645c
Author:     Paul Eggert <[email-masked]>
AuthorDate: Sat Aug 19 17:15:52 2017 -0700
Commit:     Paul Eggert <[email-masked]>
CommitDate: Sat Aug 19 17:17:09 2017 -0700

Parent:     1c382c096b Make list-processes support display-line-numbers
Merged:     concurrency emacs-25 visible-bell
Containing: emacs-26 master nsimage scrolling
Follows:    emacs-25.1 (129792)

Don’t adjust CRLF in file names

* doc/misc/gnus.texi (Non-ASCII Group Names):
* etc/NEWS:
* test/lisp/net/tramp-tests.el (tramp--test-utf8):
Use utf-8-unix, not utf-8, for default-file-name-coding-system, so
that CRLF in file names is left alone.
* lisp/international/mule-cmds.el (set-default-coding-systems):
Do not alter CRLF in file name coding systems.
(prefer-coding-system): Ignore differences in CRLF processing when
checking whether we used the user-specified file name coding system.
* test/src/fileio-tests.el: New file.

-- 
Alan Third